/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.db;

import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.PreparedStatement;
import java.sql.CallableStatement;
import java.sql.Statement;
import java.sql.Savepoint;
import java.sql.Struct;
import java.sql.Array;

public class DummyConnection implements java.sql.Connection {

  private boolean closed_ = false;

    public DummyConnection() {
    }

    public java.sql.Statement createStatement() throws SQLException {
        return new DummyStatement(this);
    }

    public java.sql.PreparedStatement prepareStatement(String sql)
            throws SQLException {
        return null;
    }

    public java.sql.CallableStatement prepareCall(String sql)
            throws SQLException {
        return null;
    }

    public String nativeSQL(String sql) throws SQLException {
        return null;
    }

    public void setAutoCommit(boolean autoCommit) throws SQLException {
    }

    public boolean getAutoCommit() throws SQLException {
        return false;
    }

    public void commit() throws SQLException {
    }

    public void rollback() throws SQLException {
    }

    public void close() throws SQLException {
      closed_ = true;
    }

    public boolean isClosed() throws SQLException {
	System.err.println("DummyConnection::isClosed(): " + closed_);
        return closed_;
    }
    public boolean isClosedInternal() {
        return closed_;
    }

    public java.sql.DatabaseMetaData getMetaData() throws SQLException {
        return null;
    }

    public void setReadOnly(boolean readOnly) throws SQLException {
    }

    public boolean isReadOnly() throws SQLException {
        return false;
    }

    public void setCatalog(String catalog) throws SQLException {
    }

    public String getCatalog() throws SQLException {
        return null;
    }

    public void setTransactionIsolation(int level) throws SQLException {
    }

    public int getTransactionIsolation() throws SQLException {
        return 0;
    }

    public SQLWarning getWarnings() throws SQLException {
        return null;
    }

    public void clearWarnings() throws SQLException {
    }

// JDBC 2.0 methods

    public void setTypeMap(java.util.Map map) throws SQLException {
    }

    public PreparedStatement prepareStatement(String sql, int resultSetType,
                                              int resultSetConcurrency) throws SQLException {
        return null;
    }

    public CallableStatement prepareCall(String sql, int resultSetType,
                                         int resultSetConcurrency) throws SQLException {
        return null;
    }

    public java.util.Map getTypeMap() throws SQLException {
        return null;
    }

    public Statement createStatement(int resultSetType, int resultSetConcurrency)
            throws SQLException {
        return createStatement();
    }

    public void setHoldability(int i) throws SQLException {
    }

    public int getHoldability() throws SQLException {
        return 0;
    }

    public Savepoint setSavepoint() throws SQLException {
        return null;
    }

    public Savepoint setSavepoint(String s) throws SQLException {
        return null;
    }

    public void rollback(Savepoint savepoint) throws SQLException {
    }

    public void releaseSavepoint(Savepoint savepoint) throws SQLException {
    }

    public Statement createStatement(int i, int i1, int i2) throws SQLException {
        return createStatement();
    }

    public PreparedStatement prepareStatement(String s, int i, int i1, int i2) throws SQLException {
        return null;
    }

    public CallableStatement prepareCall(String s, int i, int i1, int i2) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String s, int i) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String s, int[] ints) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String s, String[] strings) throws SQLException {
        return null;
    }

// Java6 extensions
  public Array createArrayOf(String typeName, Object[] elements)
  throws SQLException {
    return null;
  }
  public java.sql.Blob createBlob() throws SQLException { return null; }
  public java.sql.Clob createClob() throws SQLException { return null; }
  public java.sql.NClob createNClob() throws SQLException { return null; }
  public java.sql.SQLXML createSQLXML() throws SQLException { return null; }
  public Struct createStruct(String typeName, Object[] attributes)
  throws SQLException {
    return null;
  }
  public java.util.Properties getClientInfo() throws SQLException {
    return null;
  }
  public String getClientInfo(String name) throws SQLException {
    return null;
  }
  public boolean isValid(int timeout) throws SQLException { return true; }
  public void setClientInfo(java.util.Properties properties)
  throws java.sql.SQLClientInfoException { }
  public void setClientInfo(String name, String value)
  throws java.sql.SQLClientInfoException { }

  // Wrapper interface methods
  public <T> T unwrap(Class<T> iface) throws SQLException { return null; }
  public boolean isWrapperFor(Class<?> iface) throws SQLException { return false; }

}

