/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.util;

import java.util.Hashtable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.experlog.base.ESServletRequest;
import org.experlog.util.AppConfiguration;

public interface Cookie extends java.io.Serializable {

	public void setCookie(HttpServletRequest req) throws java.sql.SQLException;
	public void setCookie(ESServletRequest req) throws java.sql.SQLException;
	
	public String get(String name)throws java.sql.SQLException;

	public void set(String name, Object val) throws java.sql.SQLException;

	public Hashtable getInfo();

	public void setInfo(Hashtable info);

	public void toHttpSession(HttpSession s) throws java.sql.SQLException;

	public void fromHttpSession(HttpSession s, AppConfiguration c,
         HttpServletRequest req, HttpServletResponse rsp) throws java.sql.SQLException;
}
